Unable to connect to a webinar that requires authentication

Description
I’m able to connect to a webinar via the web sdk when it is unauthenticated and/or requires registration.
I’m also able to connect to a meeting that requires authentication.
However, when the webinar requires authentication I get the pop up message of:

“Your connection has timed out and you cannot join the meeting. Verify your network connectivity and try again.”

And in the console, I get the error telling me to upgrade my SDK version.

My SDK version is the latest, and I’m trying to join with role 0. All config is provided in the ZoomMtg.join() config object, including email etc.

Error
“The current sdk version doesn’t support webinar, please upgrade to the latest version.”

Which Web Client SDK version?
1.9.1

1 Like

Hey @dcornock ,

Let me know if my post here explains this current limitation:

Thanks,
Tommy

Hi @tommy,

Registration seemed to work fine for me. It was when the ‘Require authentication to join’ checkbox was checked for the webinar that it gave me those error messages.

Thanks,
Dan

Hey @dcornock,

I’m glad to hear that you resolved your issue! That’s correct, the Web SDK supports joining authenticated meetings but does not support joining authenticated webinars at this time.

Feel free to reach out if you encounter any further issues or questions.

Thanks,
Max